> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v3/payment



## OpenAPI

````yaml POST /v3/payment
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v3/payment:
    post:
      tags:
        - payment
      summary: Create new payment
      parameters:
        - name: validate
          in: query
          schema:
            default: 0
            type: integer
            enum:
              - 0
              - 1
          required: false
        - name: signToken
          in: query
          schema:
            type: string
          required: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentRequest'
      responses:
        '200':
          $ref: '#/components/responses/Validate'
        '201':
          $ref: '#/components/responses/Created'
        '202':
          $ref: '#/components/responses/Sign'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    PaymentRequest:
      type: object
      properties:
        walletId:
          type: string
        amount:
          type: number
        id:
          type: string
          description: Unique id
        status:
          type: string
          enum:
            - NEW
            - DRAFT
        beneficiaryId:
          type: string
          nullable: true
          description: ⚠ NOT REQUIRED if target_wallet_id is set
        targetWalletId:
          type: string
          nullable: true
          description: ⚠ NOT USE if beneficiary_id is set
        reference:
          type: string
          description: ⚠ NOT REQUIRED if target_wallet_id is set
        purposeCode:
          type: string
          description: ⚠ REQUIRED when beneficiary country is UAE
        files:
          type: array
          description: ⚠ NOT REQUIRED if target_wallet_id is set
          items:
            type: object
            properties:
              type:
                type: string
              name:
                type: string
      required:
        - walletId
        - amount
  responses:
    Validate:
      description: Validate data
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: VALIDATE
              errors:
                type: object
                example:
                  email: Email cannot be blank.
    Created:
      description: Created
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: CREATED
              id:
                type: string
                example: 00000000-0000-0000-0000-000000000000
                description: ID of the new entity
    Sign:
      description: MFA sign required
      content:
        application/json:
          examples:
            default:
              value:
                status: MFA_REQUIRED
                mfaToken: def456
          schema:
            type: object
            required:
              - status
              - mfaToken
            properties:
              status:
                type: string
                example: MFA_REQUIRED
              mfaToken:
                type: string
                example: def456
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
    ValidationError:
      description: Validation Error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: ERROR
              errors:
                type: object
                example:
                  email: Email cannot be blank.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````